{ lib, ... }:
{
  mkSubmodule =
    {
      options,
      description,
    }:
    lib.types.submoduleWith {
      description = description;
      shorthandOnlyDefinesConfig = true;
      modules = lib.toList { inherit options; };
    };
}
